Bug 502537 - (vrrpd) Review Request: vrrpd - Virtual Router Redundancy Protocol (Daemon only)
Review Request: vrrpd - Virtual Router Redundancy Protocol (Daemon only)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://www.imagestream.com/VRRP.html
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2009-05-25 19:33 EDT by Wilmer Jaramillo M.
Modified: 2010-02-07 09:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-07 09:18:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wilmer Jaramillo M. 2009-05-25 19:33:39 EDT
Spec URL: http://wilmer.fedorapeople.org/files/review/vrrpd/vrrpd.spec
SRPM URL: http://wilmer.fedorapeople.org/files/review/vrrpd/vrrpd-1.0-1.fc10.src.rpm

Description: VRRPd is an implementation of Virtual Router Redundancy Protocol as  specified  in rfc2338.  VRRPd  is  interoperable with  other RFC-based VRRP implementations, including Cisco and Juniper, and is included as a standard feature on ImageStream routers.
Comment 1 Itamar Reis Peixoto 2009-05-25 19:46:35 EDT
please fix

1 - BuildRoot  

-> https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot

2- BuildRequires
-> every fedora linux have kernel installed by default, doesn't  need kernel in build requires, you need only kernel-devel.

3- install section

please simplify things using install -Dp -m so you reduce the size of your spec file.

:-)
Comment 2 Itamar Reis Peixoto 2009-05-25 19:49:25 EDT
after you fix these things, please post here the new spec file and a koji scratch build, this will speed up the review process.
Comment 4 Fabian Deutsch 2009-07-28 11:22:00 EDT
AFAIK Cisco is holding some patents on VRRP, so can this be part of Fedora anyway?
CARP is a patent free solution.
Comment 5 Jason Tibbitts 2009-08-01 15:21:41 EDT
If you have legal questions you should make the ticket block FE-Legal so that the folks who understand such things can take a look.  I'll do that now.
Comment 6 Fabian Deutsch 2010-02-07 09:18:32 EST
Closing

More about thos patents: http://en.wikipedia.org/wiki/Virtual_Router_Redundancy_Protocol

Note You need to log in before you can comment on or make changes to this bug.